Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.djep.diffRules
Class PowerDiffRule

    java.lang.Object
      org.lsmp.djep.djep.diffRules.PowerDiffRule

All Implemented Interfaces:
  DiffRulesI

    public class PowerDiffRule

extends java.lang.Object
implements DiffRulesI

Diffrentiates a power with respect to var. If m is a a number diff(y^m,x) -> m * y^(m-1) otherwise diff(y^z,x) -> z * y^(z-1) * diff(y,x) + y^z * ln(z) * diff(z,x)

Constructor Summary
`PowerDiffRule(java.lang.String inName)`

Method Summary
`Node` | `differentiate(ASTFunNode node, java.lang.String var, Node[] children, Node[] dchildren, DJep djep)` Returns the top node of of the derivative of this function wrt to variable var.
`java.lang.String` | `getName()` Returns the name of the function.
`java.lang.String` | `toString()` Returns a string representation of the rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PowerDiffRule

    public PowerDiffRule(java.lang.String inName)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from interface: `DiffRulesI`
  Returns a string representation of the rule.

  Specified by:
    `toString` in interface `DiffRulesI`
  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Description copied from interface: `DiffRulesI`
  Returns the name of the function. Used as index in hashtable and as way of linking with standard JEP functions. You probably want to specify the in the constructors.

  Specified by:
    `getName` in interface `DiffRulesI`

### differentiate

    public Node differentiate(ASTFunNode node,
                              java.lang.String var,
                              Node[] children,
                              Node[] dchildren,
                              DJep djep)
                       throws ParseException

  Description copied from interface: `DiffRulesI`
  Returns the top node of of the derivative of this function wrt to variable var.

  Specified by:
    `differentiate` in interface `DiffRulesI`
    `var` - The name of variable to differentiate wrt to.
    `children` - the arguments of the function
    `dchildren` - the derivatives of each argument of the function.
  Returns:
    top node of and expression tree for the derivative.
  Throws:
    `ParseException` - if there is some problem in compiling the derivative.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems